
const OracleService = require('../service/OracleService')

class acmCancMovCaixaModel {
    constructor() {
        this.GET_ACMCANCMOVCAIXA = `
            UPDATE
               MOVCAIXA
            SET
               IDTIPOMOVIVE = 'C'
            WHERE
               (CDFILIAL = :P_CDFILIAL  ) AND
               (CDCAIXA  = :P_CDCAIXA   ) AND
               (DTABERCAIX     = :P_DTABERCAIX) AND
               (NRSEQUMOVIMSDE = :P_NRSEQUMOVI)
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ACMCANCMOVCAIXA, params);
        })
    }
}  

module.exports = new acmCancMovCaixaModel();