const OracleService = require('../service/OracleService');

class acmUpdRelVendasModel {
  constructor() {
    this.GET_ACMUPDRELVENDAS = `
            UPDATE RELVENDAS
               SET QTVENDASMSDE   = :QTVENDASMSDE,
             QTVENDASORACLE = :QTVENDASORACLE,
             DTULTATU = TIMESTAMP :DTULTATU,
             VRTOTMSDE= :VRTOTMSDE,
             VRTOTORACLE    = :VRTOTORACLE
             WHERE CDFILIAL    = :CDFILIAL
               AND CDCAIXA     = :CDCAIXA
               AND DTENTRVENDA = TIMESTAMP :DTENTRVENDA
        `;
  }

  get(params, connection) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_ACMUPDRELVENDAS, params, [], false, connection);
    });
  }
}

module.exports = new acmUpdRelVendasModel();
