const OracleService = require('../service/OracleService');

class adqVerifItHrComanda {
  constructor() {
    this.GET_ADQVERIFITHRCOMANDA = `
        SELECT CDFILIAL
          FROM ITHRCOMANDA
         WHERE CDFILIAL = :P_CDFILIAL
           AND CDCAIXA = :P_CDCAIXA
           AND NRSEQVENDA = :P_NRSEQVENDA
           AND NRSEQUITEM = :P_NRSEQUITEM
    `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQVERIFITHRCOMANDA, params);
    });
  }
}

module.exports = new adqVerifItHrComanda();
