
const OracleService = require('../service/OracleService')

class adqVerifMovCaixaModel {
    constructor() {
        this.GET_ADQVERIFMOVCAIXA = `
            SELECT
               CDFILIAL, CDCAIXA, DTABERCAIX, NRSEQUMOVI, NRSEQVENDA
            FROM
               MOVCAIXA
            WHERE
               (CDFILIAL   = :P_CDFILIAL  ) AND
               (CDCAIXA    = :P_CDCAIXA   ) AND
               (DTABERCAIX = TIMESTAMP :P_DTABERCAIX) AND
               (NRSEQUMOVIMSDE = :P_NRSEQUMOVI)
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQVERIFMOVCAIXA, params);
        })
    }
}  

module.exports = new adqVerifMovCaixaModel();